#!/bin/sh
#
# Simple slideshow script
#
# Copyright (C) 2008 Graham R. Cobb <g+770@cobb.uk.net>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# This script expects to find files named Slide<n>.JPG for <n> from 1 to some upper limit.
#
# These files are typically created using Microsoft PowerPoint's "Save As" feature to
# save a presentation as a series of jpeg images.
#
# This script displays the slides one at a time on an attached VGA screen using the sisbit program.
# After each slide is displayed, the script prompts for input.  The input should just be a single key:
#
# n, N, <Return> - next slide
# p, P - previous slide
# 1 - go to first slide
# q, Q - quit
# 

i=1
u=""

while true
do
  echo Displaying slide $i...
  sisbit $u "$@" Slide$i.JPG
  # Subsequent pictures do not need to initialise device
  u="-u"
  read -p "N (next), P (previous), Q (quit) or 1 (first) [N]:" command
  if [ "$command" = "" ] ; then command="N" ; fi
  if [ "$command" = "N" -o "$command" = "n" ]
  then i=$((i+1))
    if [ ! -f Slide$i.JPG ]
    then
      echo No more slides!
      i=$((i-1))
    fi
  elif [ "$command" = "P" -o "$command" = "p" ]
  then i=$((i-1))
    if [ ! -f Slide$i.JPG ]
    then
      echo No more slides!
      i=$((i+1))
    fi
  elif [ "$command" = "Q" -o "$command" = "q" ]
  then exit
  elif [ "$command" = "1" ]
  then i=1
  else echo Invalid command: $command
  fi
done

echo End of slide deck
